<?php
session_register('cnt_des'); ## Descargadas
session_register('cnt_sin'); ## Sin PLanillar
session_register('cnt_otro'); ## Planilladas a Otro Mensajero
session_register('cnt_estado'); ## Guias en Otro Estado
$target='guia';
include("funciones/funciones_backup.php");
include("conexion/conexion.php");
include("Menu/menu_inicio.php");
include("Usuarios/mensajeros.php");

$nombrepagina = "Cambio de Area";
encabezado($target);
$user=$_SESSION['validar'];
$filas=1;




function escribe_archivo($str_cadena,$str_archivo){

	//$cadena = trim($codbar).';'.$ruta_imgdup.';'.$p_fecha.chr(13).chr(10);
	$archivo = fopen ($str_archivo, "a+");
	fwrite($archivo, $str_cadena);
	fclose($archivo);
}



if($filas == 1)
{
	class llamado{
		var $menuObj;
		function validar1($id_user,$id_sucursal){
			$this->menuObj=new menu_inicio();
			$this->menuObj->menu2($id_user,$id_sucursal);
		}
	}
	$llamadoObj=new llamado();
	$llamadoObj->validar1($_GET['id_user'],$_GET['suc']);
	entrada($user,$_GET['id_user'],$_GET['suc']);
	echo"</td>";
	echo"<td width=79% background=\"imagenes/bg3.jpg\" valign=top>";
	mostrar_cabeza_trabajo($nombrepagina);
	class obtiene{
		var $userObj;
		function obtener($perfil){
			$this->userObj=new select_zonas();
			$tabla=$this->userObj->get_tabla($_GET['suc']);
			$_SESSION['tabla_guia']=$tabla;
		}
	}
	$_SESSION['tabla_guia'] = "guias_proceso";
	$tabla=$_SESSION['tabla_guia'];
	$pla=$_SESSION['planilla'];
?>
<link rel="stylesheet" href="css/demos.css" media="screen" type="text/css">
<link rel="stylesheet" href="css/modal-message.css" type="text/css">
<script type="text/javascript" src="js/modal-message.js"></script>
<script type="text/javascript">
messageObj = new DHTML_modalMessage();	// We only create one object of this class
messageObj.setShadowOffset(0);	// Large shadow
function displayStaticMessage(messageContent,cssClass,src)
{
	document.backup.guia.disabled=true;
	messageObj.setHtmlContent(messageContent);
	messageObj.setSize(450,120);
	messageObj.setCssClassMessageBox(cssClass);
	messageObj.setSource(false);	// no html source since we want to use a static message here.
	messageObj.setShadowDivVisible(false);	// Disable shadow for these boxes
	messageObj.display();
}

function cierraMessage()
{
	messageObj.close();
	document.backup.guia.disabled=false;
	document.backup.guia.focus();
}

function reproducir() {
	document.all['cancion'].src='sound/alert.wav'
}

</script>
<form action="" method="POST" name="backup"><CENTER>
<table width="300" border="0" class="primaria">
<tr class=miTable_tr>
<td colspan="2" class=miTable_th1><div align="center">..:: Seleccione Area ::..</div></td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
Area:
</td>
<td width="200" class="miTable_td">
<select name="mensajero" class="inputbox" style="width:30em;">
<option value=0>0</option>
<option value=4>4</option>
<option value=9>9</option>
<option value=10>10</option>
<option value=13>13</option>
<option value=21>21</option>
<option value=23>23</option>
<option value=27>27</option>
<option value=28>28</option>
<option value=32>32</option>
<option value=34>34</option>
<option value=36>36</option>
<option value=40>40</option>
<option value=44>44</option>
<option value=46>46</option>
<option value=47>47</option>
<option value=60>60</option>
<option value=61>61</option>
<option value=63>63</option>
<option value=64>64</option>
<option value=65>65</option>
<option value=66>66</option>
<option value=67>67</option>
<option value=70>70</option>
<option value=72>72</option>
<option value=73>73</option>
<option value=74>74</option>
<option value=75>75</option>
<option value=78>78</option>
<option value=90>90</option>
<option value=96>96</option>
<option value=97>97</option>
<option value=99>99</option>
<option value=50>50</option>
<option value=51>51</option>
<option value=53>52</option>
<option value=54>54</option>
<option value=55>55</option>
<option value=56>56</option>
<option value=53>53</option>
<option value=80>80</option>
</select>
</td>
</tr>
<tr class="miTable_tr">
<td width="100" class="miTable_td">
No Guia:
</td>
<td width="200" class="miTable_td">
<!--<input type="text" name="guia" class="inputbox">-->
<textarea cols="20" rows="10" name="guia" id="guia"></textarea>
<input type="hidden" name="cantidad" class="inputbox" value="<? if ($_POST['cantidad']==''){ echo '1';}else{ echo $_POST['cantidad']+1;}?>">
<input type="hidden" name="tabla" value="<? echo $tabla;?>" class="inputbox">
</td>
</tr>
<tr class=miTable_tr>
<td class=miTable_th1 colspan="2">
<div align="center">
<input type="submit" name="Registrar" value="Actualizar" class="inputbox">
</div>
</td>
</tr>
</table>

<table border="0" width="720" class="primaria">
<tr class="miTable_tr">
<td valign="top" class=miTable_th1 width="60"><div align="center">Actualizadas</div></td>
</tr>
<?php
$n_guia = $_POST['guia'];
$n_mensajero = $_POST['mensajero'];
$condicion = "";
$db = new conexion();
$db->conectarse();
if(!isset($n_guia)){
	//echo "No ha dado click en boton";
	$cuenta_guias=0;
	$_SESSION['cnt_des']=0;
	$_SESSION['cnt_sin']=0;
	$_SESSION['cnt_otro']=0;
	$_SESSION['cnt_estado']=0;
	if (file_exists($_GET['id_user']."guias_descargadas.txt"))unlink($_GET['id_user']."guias_descargadas.txt");

}else{

	
	$cuenta_guias=0;
	$_SESSION['cnt_des']=0;
	$_SESSION['cnt_sin']=0;
	$_SESSION['cnt_otro']=0;
	$_SESSION['cnt_estado']=0;
	if (file_exists($_GET['id_user']."guias_descargadas.txt"))unlink($_GET['id_user']."guias_descargadas.txt");
		
	$input=explode("\n",$n_guia);
        $arr_guia=array_unique($input);

	for($ytr=0;$ytr<=count($arr_guia);$ytr++){
		$num_guia=trim($arr_guia[$ytr]);
		if(!empty($num_guia)){
			$v_sql = "update guias_proceso set especial2='".$n_mensajero."'
					 where guia='".$num_guia."'";		
			$rs = $db->modificar($v_sql);
			$filas=mysql_affected_rows();
			if ($filas>0)
			{
				$v_sql="select guia,orden,especial2 areaActualizada,
 ".$n_mensajero." areaAnterior from guias_proceso where guia='".$num_guia."'";
				$db->modificar($v_sql);
				##Guia Descargada.
				$_SESSION['cnt_des'] = $_SESSION['cnt_des']+mysql_affected_rows();
				$cadena = trim($num_guia).",".$n_mensajero.chr(13).chr(10);
				escribe_archivo($cadena,$_GET['id_user']."guias_descargadas.txt");
			
			}
		}
	}
}
echo "<tr class=miTable_tr>";
echo "<td valign=top class=miTable_td> <div align='center'>".$_SESSION['cnt_des'].
"&nbsp;&nbsp;<a href='".$_GET['id_user']."guias_descargadas.txt' target='_blank'>Ver Detalle</a>&nbsp;&nbsp;
<a href='descargar.php?f=".$_GET['id_user']."guias_descargadas.txt'>Descargar</a> </div></td>";##Descargadas
echo "</tr>";
echo "</table>";
}
mostrar_pie();
echo"</td>";
echo"</tr>";
echo"</table>";
echo"<table width=503 border=0 align=center cellpadding=0 cellspacing=0>";
echo"<tbody><tr>";
echo"<td></td>";
echo"</tr>";
echo"<tr>";
echo"<td height=7 background=imagenes/lineas_pie.jpg><img src=index2_files/spacer.html width=1 height=15></td>";
echo"</tr>";
echo"<tr>";
	?>
	 <td>
	  <center>
	  <?
        pie_de_pagina();
        ?>
	  </center>
	 </td>
	<?php
	echo"</tr>";
	echo"</tbody></table>";
	echo"</center>";
	echo"</body>";
	echo"</html>";
?>
</CENTER>
</form>
